"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NLoggerMigration1 = void 0;
const migrations_1 = require("@mikro-orm/migrations");
class NLoggerMigration1 extends migrations_1.Migration {
    up() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('create extension if not exists "uuid-ossp"');
            this.addSql('create schema if not exists "nlogger";');
            this.addSql('create table "nlogger"."requests" ("id" uuid not null default uuid_generate_v4(), "method" text not null, "path" text not null, "params" jsonb not null, "query" jsonb not null, "body" jsonb not null, "headers" jsonb not null, "raw_body" text not null, "status" int not null, "error" boolean not null, "ip" text null, "response_body" jsonb null, "user_id" uuid null, constraint "requests_pkey" primary key ("id"));');
        });
    }
    down() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('drop table if exists "nlogger"."requests" cascade;');
            this.addSql('drop schema if exists "nlogger";');
        });
    }
}
exports.NLoggerMigration1 = NLoggerMigration1;
//# sourceMappingURL=NLoggerMigration1.js.map