"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NLoggerMigration4 = void 0;
const migrations_1 = require("@mikro-orm/migrations");
class NLoggerMigration4 extends migrations_1.Migration {
    up() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('create table "nlogger"."logs" ("id" uuid not null default uuid_generate_v4(), "type" text not null, "context" text null, "data" text null, "request_id" uuid null, constraint "logs_pkey" primary key ("id"));');
            this.addSql('alter table "nlogger"."logs" add constraint "logs_request_id_foreign" foreign key ("request_id") references "nlogger"."requests" ("id") on update cascade on delete set null;');
        });
    }
    down() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('drop table if exists "nlogger"."logs" cascade;');
        });
    }
}
exports.NLoggerMigration4 = NLoggerMigration4;
//# sourceMappingURL=NLoggerMigration4.js.map