"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NLoggerMigration5 = void 0;
const migrations_1 = require("@mikro-orm/migrations");
class NLoggerMigration5 extends migrations_1.Migration {
    up() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('alter table "nlogger"."logs" drop constraint "logs_request_id_foreign";');
            this.addSql('create index "logs_request_id_index" on "nlogger"."logs" ("request_id");');
        });
    }
    down() {
        return __awaiter(this, void 0, void 0, function* () {
            this.addSql('drop index "nlogger"."logs_request_id_index";');
            this.addSql('alter table "nlogger"."logs" add constraint "logs_request_id_foreign" foreign key ("request_id") references "nlogger"."requests" ("id") on update cascade on delete set null;');
        });
    }
}
exports.NLoggerMigration5 = NLoggerMigration5;
//# sourceMappingURL=NLoggerMigration5.js.map